Description

When Enable_Smart_Variables_in_ENC = false class parameters are not exposed to the ENC. Setting this to true then disables the

params as seen in the yaml.

---

classes:

snmp:

snmpro: default

History

#1 - 02/20/2013 04:13 AM - Dominic Cleal

- Category set to Puppet integration

- Status changed from New to Feedback

Hi Matt,

I'm afraid I don't understand the issue from the description above, could you please elaborate?

The Enable_Smart_Variables_in_ENC setting should control whether smart class parameters are included in the ENC output or not, which I think is

your first point, and is correct behaviour.  The default is enabled, which provides class parameters (for Puppet 2.6.5+), but setting to false will revert to

just a list of classes (Foreman 1.0 behaviour).

#2 - 02/20/2013 06:19 AM - Greg Sutcliffe

I asked Matt to file this, so let me clarify:

This setting has unexpected side effects. With it set to False, it will cause the Class list to become an Array (same as Enable Parameterized Classes

in ENC). But since Smart Variables only go into the global Parameters section of the ENC, this is nonintuitive - setting it to False causes Param

Classes to stop working too.

We should either document that this setting must also be true, or (better) fix the code so this setting only affect the Parameters section.

#3 - 02/20/2013 06:32 AM - Dominic Cleal

- Status changed from Feedback to Assigned

Greg Sutcliffe wrote:

This setting has unexpected side effects. With it set to False, it will cause the Class list to become an Array (same as Enable Parameterized

Classes in ENC). But since Smart Variables only go into the global Parameters section of the ENC, this is nonintuitive - setting it to False causes

Param Classes to stop working too.

 Ah, sorry, I'd muddled the names of the settings.  That makes sense now.

We should either document that this setting must also be true, or (better) fix the code so this setting only affect the Parameters section.
 Agreed with the latter, it's more useful that they are independent of each other.

#4 - 02/20/2013 07:06 AM - Matt Parry

Hi Dominic, sorry for the confusion. Thanks for the update and clarification Greg.

#5 - 12/28/2014 11:47 AM - Tomer Brisker

- Status changed from Assigned to New
